API referenceNetworkingSubnets
Update a subnet
Requires the subnets:update permission.
AuthorizationBearer <token>
An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/v1/subnets/string" \ -H "Content-Type: application/json" \ -d '{}'{ "created_at": "2019-08-24T14:15:22Z", "dhcp_config_id": "edf4baf3-dbbc-4d40-b102-0dbcdbfce4ce", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "security_policy_ids": [ "66ab6b6a-1af8-42dc-9b26-c42936c87529" ], "status": "string", "tags": { "property1": "string", "property2": "string" }, "updated_at": "2019-08-24T14:15:22Z", "v4_cidr": "string", "v6_cidr": "string", "vni": 0, "vpc_id": "26872b87-3ca9-4a41-b328-948d9c25c405"}